Subject: Re: iproute2/m_ipt fix, opts was not set properly

From: jamal <[email-masked]>
Date: Wed, 06 Aug 2008 07:18:16 -0400

On Wed, 2008-06-08 at 14:02 +0300, Denys Fedoryshchenko wrote:

> Does it work on my test batch?

I havent tested with your scenario as i am staring at your script
and trying to construct a simple case. It was just eyeballing.
The original code was not resetting the  contents "pointed to"
by opts. So on return from free_opts, nothing has changed really.

> Your way looks much more clean :-)
> (I cannot test it properly, since i have modified iproute2 now)

It should work but i will test it. The simple test case i can think of
is to have two ipt invocations with different parameters (eg mark and
set tos).
If you test it, please resubmit with new approach. I will let you know
my results (as i have a few vacation hours to kill this morning).

cheers,
jamal